/*********************************************************************
*                                                                    *
*                      Software License Agreement                    *
*                                                                    *
*   The software supplied herewith by Microchip Technology           *
*   Incorporated (the "Company") for its dsPIC controller            *
*   is intended and supplied to you, the Company's customer,         *
*   for use solely and exclusively on Microchip dsPIC                *
*   products.                                                        *
*                                                                    *
*   THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION.  NO           *
*   WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING,    *
*   BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND    *
*   FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE     *
*   COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL,  *
*   INCIDENTAL OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.  *
*                                                                    *
*********************************************************************/

#ifndef _LCD_H
#define _LCD_H

extern void lcd_dump(void *buffer, unsigned int len);
extern void lcd_clear();
extern void bar(int row, int len, char c);
extern int write(int handle, void *buffer, unsigned int len);
extern void spi_init(int poweron);

void pixel_chart_line(char height);
void pixel_chart(char *arr);

enum lcd_commands {         /* opnds: function                                */
  write_chr_next = 0xA8,    /* char : write char to display and adavacce curs */
  clear_to_eol   = 0x8A,    /* none : clear to end of line                    */
  clear_row      = 0xA9,    /* none : clear entire row                   */
  char_pos       = 0xC5,    /* column, row:  position cursor                  */
  cls            = 0x82,    /* none : clear screen and home                   */
};

#endif
